你好,欢迎来到UG二次开发专业技术交流论坛! 会员登录 | 快速注册 | 忘记密码?
UG二次开发最新技术资料
  • grip四杆机构的设计

    发布者:一只吕宝 查看次数:18 评论条数:0 发布时间:2018-1-19
    按给定两连架杆对应位置设计平面四杆机构,即由两杆的三组位置角出发,做出四杆机构的运动模型。求设计思路,源程序更好。
  • 运营级仿微信仿陌陌仿快手app源码

    发布者:awzse 查看次数:30 评论条数:0 发布时间:2018-1-17
    qq:383189941
  • 选择规则的函数

    发布者:qinyangliang 查看次数:40 评论条数:0 发布时间:2018-1-14
    如图所示哪位知道C/C++中的选择规则是哪个函数?谢谢!该帖子被qinyangliang在2018-1-1513:29:08编辑过
  • 点击查看GRIP全套视频教程
  • 求助:GRIP中通过对象ID获得属性的方法

    发布者:sophia536 查看次数:41 评论条数:0 发布时间:2018-1-13
    如题,在UG中,通过查询对象信息,能够知道对象的ID号,那么,怎么通过GRIP实现查询已知ID的对象的信息呢?求助
  • 运营级仿微信仿陌陌仿快手app源码

    发布者:awzse 查看次数:40 评论条数:0 发布时间:2018-1-9
    qq:383189941
  • 求大神帮帮忙

    发布者:asdhukelion 查看次数:64 评论条数:1 发布时间:2017-12-28
    请各位高手教教我vc6怎么设置ug二次开发的环境变量,vc6里要设置些什么东西才可以开始写程序
  • UG二次开发,定制3万,可谈!

    发布者:wqb802355 查看次数:254 评论条数:1 发布时间:2017-11-18
    UG软件二次开发或者用Powermill软件二次开发  时间2个月,涉及叶轮五轴数控三维打印以及铣削加工复合刀路的处理,UG二次开发过程中调用五轴数控刀具轨迹比较费劲,希望有经验的来接,联系qq2209594032谢谢
  • 点击查看VIP会员特权
  • 下面代码生成成功,可是中心线画不出来

    发布者:WZG083 查看次数:218 评论条数:1 发布时间:2017-11-11
    UF_initialize();     std::vector<int>color0=colorPicker0->GetProperties()->GetIntegerVector("value"); intcolor01=color0[0]; tag_tobject=face_select0->Tag(); doublepoint[4][3]; doubleuv_min_max[4]; UF_MODL_ask_face_uv_minmax(object,uv_min_max); doubleparam[2];     doubleu1[3];     doublev1[3];     doubleu2[3];   doublev2[3];   doubleunit_norm[3]; doubleradii[2];     param[0]=uv_min_max[0];   param[1]=(uv_min_max[2]+uv_min_max[3])/2;   UF_MODL_ask_face_props(object,param,point[0],u1,v1,u2,v2,unit_norm,radii); param[0]=uv_min_max[1];   param[1]=(uv_min_max[2]+uv_min_max[3])/2;   UF_MODL_ask_face_props(object,param,point[1],u1,v1,u2,v2,unit_norm,radii); param[0]=(uv_min_max[0]+uv_min_max[1])/2;   param[1]=uv_min_max[2];   UF_MODL_ask_face_props(object,param,point[2],u1,v1,u2,v2,unit_norm,radii); param[0]=(uv_min_max[0]+uv_min_max[1])/2;   param[1]=uv_min_max[3];   UF_MODL_ask_face_props(object,param,point[3],u1,v1,u2,v2,unit_norm,radii); UF_CURVE_line_tline_coords;   tag_tline_tag;         line_coords.start_point[0]=point[0][0]; line_coords.start_point[1]=point[0][1]; line_coords.start_point[2]=point[0][2]; line_coords.end_point[0]=point[1][0];   line_coords.end_point[1]=point[1][1]; line_coords.end_point[2]=point[1][2]; UF_CURVE_create_line(&line_coords,&line_tag); UF_OBJ_set_color(line_tag,color01); line_coords.start_point[0]=point[2][0]; line_coords.start_point[1]=point[2][1]; line_coords.start_point[2]=point[2][2]; line_coords.end_point[0]=point[3][0];   line_coords.end_point[1]=point[3][1]; line_coords.end_point[2]=point[3][2]; UF_CURVE_create_line(&line_coords,&line_tag); UF_OBJ_set_color(line_tag,color01); tag_tview_tag=NULL_TAG; doublefraction=1.0; UF_VIEW_fit_view(view_tag,fraction); UF_terminate();
  • 如何实现体(body)的阵列?

    发布者:wangaibohit 查看次数:196 评论条数:1 发布时间:2017-11-1
    本人使用VS2010C语言对UG进行二次开发。请问,哪个(些)函数可以实现对体的阵列功能?
  • UG GRIP中&DLGDIR用法

    发布者:qxglove 查看次数:315 评论条数:1 发布时间:2017-9-14
    UGGRIP中&DLGDIR用法?如何定义后处理的路径?
  • 选择过滤器设置

    发布者:liu_guangqun 查看次数:394 评论条数:1 发布时间:2017-8-25
    请问如何设置有出来选择相切面这个下拉菜单
  • 点击查看SNAP技术资料
  • 求助:uf读写excel

    发布者:一颗菜 查看次数:553 评论条数:6 发布时间:2017-7-27
    论坛前辈有mfc读写excel方面的详细教程吗?或者mfc做开发的入门教程也行
  • 请教一下SNAP的拉伸(extrude)如何做

    发布者:tingfgg 查看次数:742 评论条数:3 发布时间:2017-5-23
    研究了好几天,发现用SNAP开发的人比较少,资料难求!问题来了三维数模里存在一根多段封闭的线,用UI选择选中后,如何把选中的线作为参数在拉伸(extrude)命令里使用。求帮忙。谢谢各位师傅!
  • 调整圆角的大小

    发布者:qinyangliang 查看次数:618 评论条数:2 发布时间:2017-5-5
    各位师傅,谁知道同步建模里的(调整圆角的大小)的函数是哪个啊?先谢谢了!
  • grip提取实体的坐标信息

    发布者:naughtiness 查看次数:929 评论条数:2 发布时间:2017-4-4
    可否二次开发实现对UG模型的坐标信息提取呢
NX二次开发热门资料
点击查看VIP会员特权
技术帖子评论排行
最新评论技术帖子